Inhalte

# Funktion Val

Verwenden Sie die Funktion Val, um eine Zeichenfolge, die eine Zahl darstellt, in einen numerischen Datentyp umzuwandeln.

Die an die Funktion Val übergebene Zeichenfolge ist gebietsschemaunabhängig. Das heißt, Kommata werden als Tausendertrennzeichen interpretiert und als Dezimaltrennzeichen wird ein Punkt verwendet.

### Syntax:

        Val (Text As String)

### Rückgabetyp:

Double

### Parameter:

Text: Zeichenfolge, die eine Zahl darstellt.

Wenn nur ein Teil der Zeichenfolge Zahlen enthält, werden nur die ersten passenden Zeichen der Zeichenfolge konvertiert. Wenn die Zeichenfolge keine Zahlen enthält, gibt Val 0 zurück.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

        Sub ExampleVal
            MsgBox Val("123.1") + 1 ' 124.1
            ' Unterhalb wird 123,1 als 1231 interpretiert, da "," das Tausendertrennzeichen ist
            MsgBox Val("123,1") + 1 ' 1232
            ' Alle Zahlen werden berücksichtigt, bis ein nicht numerisches Zeichen erreicht wird
            MsgBox Val("123.4A") ' 123.4
            ' Das folgende Beispiel gibt 0 (Null) zurück, da die angegebene Zeichenfolge nicht mit einer Zahl beginnt
            MsgBox Val("A123.123") ' 0
        End Sub

Verwandte Themen

Funktion Str